# Glib::ConvertError Class Reference
[Character Set Conversion]

Exception class for charset conversion errors. More...

`#include <glibmm/convert.h>`

Inheritance diagram for Glib::ConvertError:
[legend]

List of all members.

## Public Types

enum | Code { NO_CONVERSION, ILLEGAL_SEQUENCE, FAILED, PARTIAL_INPUT, BAD_URI, NOT_ABSOLUTE_PATH }

## Public Member Functions

| ConvertError (Code error_code, const Glib::ustring& error_message)
| ConvertError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for charset conversion errors.

Glib::convert() and friends throw a ConvertError exception if the charset conversion failed for some reason. When writing non-trivial applications you should always catch those errors, and then try to recover, or tell the user the input was invalid.

## Member Enumeration Documentation

enum Glib::ConvertError::Code

Enumerator:

  NO_CONVERSION |
  ILLEGAL_SEQUENCE |
  FAILED |
  PARTIAL_INPUT |
  BAD_URI |
  NOT_ABSOLUTE_PATH |

## Constructor & Destructor Documentation

Glib::ConvertError::ConvertError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::ConvertError::ConvertError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::ConvertError::code | ( |  | ) | const

Reimplemented from Glib::Error.